<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE project [<!ENTITY buildfile SYSTEM "file:./build-user.xml">]>
<!-- WARNING: Eclipse autogenerated file. 
              Any modifications will be overwritten.
              Please edit build-user.xml instead.
-->
<project basedir="." default="build" name="GroupScheduler">
    &buildfile;
    <property name="JUNIT_HOME" value="/usr/local/software/apps/eclipse/plugins/org.junit_3.8.1"/>
    <path id="project.classpath">
        <pathelement location="."/>
        <pathelement location="${JUNIT_HOME}/junit.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/antlr-2.7.6rc1.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/asm.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/asm-attrs.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/cglib-2.1.3.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/commons-collections-2.1.1.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/commons-logging-1.0.4.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/dom4j-1.6.1.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/hibernate3.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/jta.jar"/>
        <pathelement location="/m/imageua/deschere/workspace/GroupScheduler/lib/log4j-1.2.11.jar"/>
        <pathelement location="/porsche/cisc474/mysql-connector-java-3.1.12/mysql-connector-java-3.1.12-bin.jar"/>

        <fileset dir="${tomcat.dir}/common/lib">
           <include name="*.jar" />
        </fileset>

        <fileset dir="${tomcat.dir}/common/endorsed">
           <include name="*.jar" />
        </fileset>

    </path>
    <target name="init"/>
    <target depends="init" name="build">
        <echo message="${ant.project.name}: ${ant.file}"/>
        <javac destdir=".">
            <src path="."/>
            <classpath refid="project.classpath"/>
        </javac>
    </target>
    <target name="AllTests">
        <junit fork="yes" printsummary="withOutAndErr">
            <formatter type="plain"/>
            <test name="com.gmscheduler.unittests.AllTests"/>
            <classpath refid="project.classpath"/>
        </junit>
    </target>
    <target name="ScheduleUtilTest">
        <junit fork="yes" printsummary="withOutAndErr">
            <formatter type="plain"/>
            <test name="com.gmscheduler.unittests.ScheduleUtilTest"/>
            <classpath refid="project.classpath"/>
        </junit>
    </target>
    <target name="TimeframeTest">
        <junit fork="yes" printsummary="withOutAndErr">
            <formatter type="plain"/>
            <test name="com.gmscheduler.unittests.TimeframeTest"/>
            <classpath refid="project.classpath"/>
        </junit>
    </target>
    <target name="PersonTest">
        <junit fork="yes" printsummary="withOutAndErr">
            <formatter type="plain"/>
            <test name="com.gmscheduler.unittests.PersonTest"/>
            <classpath refid="project.classpath"/>
        </junit>
    </target>
    <target name="ScheduleTest">
        <junit fork="yes" printsummary="withOutAndErr">
            <formatter type="plain"/>
            <test name="com.gmscheduler.unittests.ScheduleTest"/>
            <classpath refid="project.classpath"/>
        </junit>
    </target>
</project>
